Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023045
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2013-02-12 10:362013-03-04 10:51
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP21
StatusclosedFix in branchFixed in SCM revisionb6d27173f383
ProjectionnoneETAnoneTarget Version3.0MP21
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023045: In parameter windows, date parameters generate parsing error in the tomcat log

DescriptionWhen a parameter window containing a date parameter is parsed, the tomcat log show the following error:

1472846 [http-8080-2] ERROR org.openbravo.client.kernel.ComponentGenerator - Error parsing component View
>>>>>>> Issues found in javascript <<<<<<<<<
Core.View:40:1: Duplicate 'width'. >> offending code: }
>>>>>>> Issues (219ms) <<<<<<<<<
Steps To Reproduce- Create a parameter window (http://wiki.openbravo.com/wiki/How_to_create_a_Standard_Process_Definition [^]) and add a date parameter.
- Open the parameter window, and check that there is an error in the tomcat log.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056859)
hgbot (developer)
2013-02-28 18:30

Repository: erp/devel/pi
Changeset: b6d27173f383d80d507fc8ff64010c73a273b9cc
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Feb 28 18:29:30 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b6d27173f383d80d507fc8ff64010c73a273b9cc [^]

Fixes issue 23045: Date parameters do not generate tomcat error in PW windows

The way the width of the parameters is fetched has been refactored. Now it depends on the UIDefinition of the parameter. The default width is '*', and if a subclass of UIDefinition needs to return a different width, it must overwrite the new public String getParameterWidth(Parameter parameter) method. I.e., DateUIDefinition overwrites it like this:

  @Override
  public String getParameterWidth(Parameter parameter) {
    return "50%";
  }

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-param-window-parameter.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewParameterHandler.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/DateUIDefinition.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/UIDefinition.java
---
(0056934)
hudsonbot (developer)
2013-03-02 05:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f5db629e7058 [^]

Maturity status: Test
(0056969)
alostale (developer)
2013-03-04 10:51

Code reviewed and verified on pi@60243532caef

- Issue History
Date Modified Username Field Change
2013-02-12 10:36 AugustoMauch New Issue
2013-02-12 10:36 AugustoMauch Assigned To => AugustoMauch
2013-02-12 10:36 AugustoMauch Modules => Core
2013-02-12 10:36 AugustoMauch Triggers an Emergency Pack => No
2013-02-28 18:26 AugustoMauch Issue Monitored: alostale
2013-02-28 18:26 AugustoMauch Review Assigned To => alostale
2013-02-28 18:30 hgbot Checkin
2013-02-28 18:30 hgbot Note Added: 0056859
2013-02-28 18:30 hgbot Status new => resolved
2013-02-28 18:30 hgbot Resolution open => fixed
2013-02-28 18:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b6d27173f383d80d507fc8ff64010c73a273b9cc [^]
2013-03-02 05:48 hudsonbot Checkin
2013-03-02 05:48 hudsonbot Note Added: 0056934
2013-03-04 10:51 alostale Note Added: 0056969
2013-03-04 10:51 alostale Status resolved => closed
2013-03-04 10:51 alostale Fixed in Version => 3.0MP21


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker